# coding:utf8
import random


def genererSujet():
    sujets = [["l'oeuvre d'art", "f"],
              ["la réalité", "f"],
              ["l'art", "m"],
              ["l'opinion", "f"],
              ["le pouvoir de refuser", "m"],
              ["le bonheur", "m"],
              ["la liberté", "f"],
              ["le vivant", "m"],
              ["le désir", "m"],
              ["la connaissance", "f"],
              ["la loi", "f"],
              ["l'autre", "m"],
              ["l'homme", "m"],
              ["l'expérience", "f"],
              ["la paix", "f"],
              ["la perception", "f"],
              ["l'objectivité", "f"],
              ["l'impartialité", "f"],
              ["le temps", "m"],
              ["la culture", "f"],
              ["le langage", "m"],
              ["la science", "f"],
              ["l'État", "m"],
              ["la nature", "f"],
              ["la vérité", "f"],
              ["la croyance", "f"],
              ["le travail", "m"],
              ["l'éphémère", "m"],
              ["la justice", "f"],
              ["l'égalité", "f"]
              ]
    structures = [["**1 est-il limité par **2", "**1 est-elle limitée par **2"],
                  ["**1 peut-il être **e", "**1 peut-elle être **e"],
                  ["**1 peut-il ne pas être **e", "**1 peut-elle ne pas être **e"],
                  ["**1 a-t-il des limites", "**1 a-t-elle des limites"],
                  ["**1 a-t-il un sens", "**1 a-t-elle un sens"],
                  ["**1 est-il avant tout **2", "**1 est-elle avant tout **2"],
                  ["**1 est-il capable d'être **e", "**1 est-elle capable d'être **e"],
                  ["Faut-il préférer **1 à **2", "Faut-il préférer **1 à **2"],
                  ["Que vaut l'opposition de **1 et de **2", "Que vaut l'opposition de **1 et de **2"],
                  ["**1 peut-il se satisfaire de **2", "**1 peut-elle se satisfaire de **2"],
                  ["La recherche de **1 est-elle **e", "La recherche de **1 est-elle **e"],
                  ["**1 transforme-t-il notre conscience de **2",
                      "**1 transforme-t-elle notre conscience de **2"],
                  ["Peut-on comprendre **1", "Peut-on comprendre **1"],
                  ["**1 peut-il s'éduquer", "**1 peut-elle s'éduquer"],
                  ["Peut-on échapper à **1", "Peut-on échapper à **1"],
                  ["**1 n'est-il qu'un outil", "**1 n'est-elle qu'un outil"],
                  ["**1 se limite-t-il à **2", "**1 se limite-t-elle à **2"],
                  ["Que devons-nous à **1", "Que devons-nous à **1"],
                  ["**1 nous permet-il de prendre conscience de **2",
                   "**1 nous permet-elle de prendre conscience de **2"],
                  ["Devons-nous aspirer à maîtriser **1", "Devons-nous aspirer à maîtriser **1"],
                  ["**1 est-il contraire à **2", "**1 est-elle contraire à **2"],
                  ["Peut-on vivre sans **1", "Peut-on vivre sans **1"],
                  ["Avons-nous le devoir de chercher **1", "Avons-nous le devoir de chercher **1"],
                  ["**1 a-t-il de la valeur", "**1 a-t-elle de la valeur"],
                  ["**1 rend-t-il **2", "**1 rend-t-elle **2"]
                  ]

    epithetes = [["vrai", "vraie"],
                 ["beau", "belle"],
                 ["raisonnable", "raisonnable"],
                 ["universel", "universelle"],
                 ["désintéressé", "désintéressée"],
                 ["naturel", "naturelle"],
                 ["utile", "utile"],
                 ["juste", "juste"],
                 ["humain", "humaine"],
                 ["historique", "historique"],
                 ["libre", "libre"]
                 ]

    part1 = sujets[random.randrange(0, len(sujets) - 1)]
    if part1[1] == "m":
        chosen = 0
    else:
        chosen = 1
    struct = structures[random.randint(0, len(structures) - 1)][chosen]
    part1 = part1[0]
    epi = epithetes[random.randint(0, len(epithetes) - 1)][chosen]
    part2 = sujets[random.randint(0, len(sujets) - 1)][0]
    if '**e' in struct:
        result = struct.replace('**1', part1)
        result = result.replace('**e', epi)
    else:
        result = struct.replace('**1', part1)
        result = result.replace('**2', part2)
    result = result[0].upper() + result[1:]
    result = result + " ?"
    return result
